org.keycloak.models

## Class UserFederationProviderModel

- java.lang.Object
- - org.keycloak.models.UserFederationProviderModel

-     public class UserFederationProviderModel
      extends Object

  Stored configuration of a User Federation provider instance.
  Author:
    Marek Posolda, Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserFederationProviderModel()`
    `UserFederationProviderModel(String id, String providerName, Map<String,String> config, int priority, String displayName, int fullSyncPeriod, int changedSyncPeriod, int lastSync)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChangedSyncPeriod()`
    `Map<String,String>` | `getConfig()`
    `String` | `getDisplayName()`
    `int` | `getFullSyncPeriod()`
    `String` | `getId()`
    `int` | `getLastSync()`
    `int` | `getPriority()`
    `String` | `getProviderName()`
    `void` | `setChangedSyncPeriod(int changedSyncPeriod)`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setFullSyncPeriod(int fullSyncPeriod)`
    `void` | `setLastSync(int lastSync)`
    `void` | `setPriority(int priority)`
    `void` | `setProviderName(String providerName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserFederationProviderModel

          public UserFederationProviderModel()

    - #### UserFederationProviderModel

          public UserFederationProviderModel(String id,
                                     String providerName,
                                     Map<String,String> config,
                                     int priority,
                                     String displayName,
                                     int fullSyncPeriod,
                                     int changedSyncPeriod,
                                     int lastSync)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getProviderName

          public String getProviderName()

    - #### setProviderName

          public void setProviderName(String providerName)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

    - #### getPriority

          public int getPriority()

    - #### setPriority

          public void setPriority(int priority)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getFullSyncPeriod

          public int getFullSyncPeriod()

    - #### setFullSyncPeriod

          public void setFullSyncPeriod(int fullSyncPeriod)

    - #### getChangedSyncPeriod

          public int getChangedSyncPeriod()

    - #### setChangedSyncPeriod

          public void setChangedSyncPeriod(int changedSyncPeriod)

    - #### getLastSync

          public int getLastSync()

    - #### setLastSync

          public void setLastSync(int lastSync)

Copyright © 2014. All Rights Reserved.